Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class SelectRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.SelectRendererBase

Direct Known Subclasses:
  SelectRenderer

    public class SelectRendererBase

extends InputRendererBase

Author:
  abelevich

Field Summary
`static String` | `ITEM_CSS`

Constructor Summary
`SelectRendererBase()`

Method Summary
`String` | `encodeHeightAndWidth(javax.faces.component.UIComponent component)`
`void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
`org.ajax4jsf.javascript.JSReference` | `getClientFilterFunction(javax.faces.component.UIComponent component)`
`List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`String` | `getListCss(javax.faces.component.UIComponent component)`
`protected String` | `getListHeight(AbstractSelect select)`
`protected String` | `getListWidth(AbstractSelect select)`
`protected String` | `getMaxListHeight(AbstractSelect select)`
`protected String` | `getMinListHeight(AbstractSelect select)`
`String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`String` | `getSelectLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` | `preEncodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `renderListHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_CSS

    public static final String ITEM_CSS

See Also:
  Constant Field Values

Constructor Detail

### SelectRendererBase

    public SelectRendererBase()

Method Detail

### getClientFilterFunction

    public org.ajax4jsf.javascript.JSReference getClientFilterFunction(javax.faces.component.UIComponent component)

### renderListHandlers

    public void renderListHandlers(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)
                            throws IOException

  Throws:
    `IOException`

### getConvertedSelectItems

    public List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                          javax.faces.component.UIComponent component)

### getSelectInputLabel

    public String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

### getMinListHeight

    protected String getMinListHeight(AbstractSelect select)

### getMaxListHeight

    protected String getMaxListHeight(AbstractSelect select)

### getListHeight

    protected String getListHeight(AbstractSelect select)

### getListWidth

    protected String getListWidth(AbstractSelect select)

### encodeHeightAndWidth

    public String encodeHeightAndWidth(javax.faces.component.UIComponent component)

### getListCss

    public String getListCss(javax.faces.component.UIComponent component)

### getSelectLabel

    public String getSelectLabel(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

### encodeItems

    public void encodeItems(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component,
                            List<ClientSelectItem> clientSelectItems)
                     throws IOException

  Throws:
    `IOException`

### preEncodeBegin

    protected void preEncodeBegin(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)
                           throws IOException

  Overrides:
    `preEncodeBegin` in class `RendererBase`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.